package cz.zcu.mjaneck.bak_prace.data;

import java.util.ArrayList;
import java.util.List;

/**
 * Třída slouží pro reprezentaci měření
 */
public class Measurement {
    /** Pole s naměřenými hodnotami a časem jejich zaznamenání */
    private List<ChartData> data;
    /** Poslední vypočtená hodnota kapacity */
    private double capacity;

    /**
     * Konstruktor
     */
    public Measurement() {
        data = new ArrayList<>();
    }

    /**
     * Vrací pole dat
     * @return - pole dat
     */
    public List<ChartData> getData() {
        return data;
    }

    /**
     * Vrací kapacitu
     * @return - kapacita
     */
    public double getCapacity() {
        return capacity;
    }

    /**
     * Nastavuje kapacitu
     * @param capacity - kapacita
     */
    public void setCapacity(double capacity) {
        this.capacity = capacity;
    }
}
